You are viewing a non-production environment — the API surface may differ from production.
Payments API

Prepaid Types

Prepaid payment categories for externally-paid tabs (e.g. third-party channels)

GET
/api/v1/prepaid-types

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Query Parameters

locationId?number

Filter by location ID (required)

includeArchived?boolean

Include archived rows

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/prepaid-types"
{  "status": "success",  "data": {    "prepaidTypes": [      {        "id": "string",        "locationId": 0,        "code": "string",        "label": "string",        "sortOrder": 0,        "costCenterId": 0,        "inheritToChildren": true,        "requiresComment": true,        "archivedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/prepaid-types

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

locationId*number
code*string
Length1 <= length
label*string
Length1 <= length
sortOrder?number
Default0
costCenterId?number|null
inheritToChildren?boolean

Share this type with descendant locations

requiresComment?boolean
Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/prepaid-types" \  -H "Content-Type: application/json" \  -d '{    "locationId": 0,    "code": "string",    "label": "string"  }'
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "code": "string",    "label": "string",    "sortOrder": 0,    "costCenterId": 0,    "inheritToChildren": true,    "requiresComment": true,    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/prepaid-types/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Prepaid-type UUID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/prepaid-types/string"
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "code": "string",    "label": "string",    "sortOrder": 0,    "costCenterId": 0,    "inheritToChildren": true,    "requiresComment": true,    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
DELETE
/api/v1/prepaid-types/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Prepaid-type UUID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/prepaid-types/string"
null
PUT
/api/v1/prepaid-types/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Prepaid-type UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

code?string
Length1 <= length
label?string
Length1 <= length
sortOrder?number
costCenterId?number|null
inheritToChildren?boolean

Share this type with descendant locations

requiresComment?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/prepaid-types/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "code": "string",    "label": "string",    "sortOrder": 0,    "costCenterId": 0,    "inheritToChildren": true,    "requiresComment": true,    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}